# Interface ComponentModuleMetadataDetails

All Superinterfaces:
  `ComponentModuleMetadata`

@Incubating public interface ComponentModuleMetadataDetails extends ComponentModuleMetadata
Contains and allows configuring component module metadata information. For information and examples please see `ComponentModuleMetadataHandler`

Since:
  2.2

## Method Summary

Modifier and Type
Method
Description
`void`
`replacedBy(Object moduleNotation)`
Configures a replacement module for this module.

### Methods inherited from interface ComponentModuleMetadata

`getId, getReplacedBy`

## Method Details

### replacedBy

void replacedBy(Object moduleNotation)
Configures a replacement module for this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'. Subsequent invocations of this method replace the previous 'replacedBy' value. For information and examples please see `ComponentMetadataHandler`.

Parameters:
  `moduleNotation` - a String like 'com.google.guava:guava', an instance of `ModuleVersionIdentifier`, null is not permitted